#!/bin/bash
#
# To get same results on a non-windows machine, run:
# ./find $* -type f -printf '%s 0,0,0,0 %TY-%Tm-%Td %TH:%TM:%TS@+0:00 ' -exec ./sha1sum "{}" \;

if [[ $1 == "-h" ||  $1 == "--help" ]]
then
        cmd=`echo $0 | sed -e 's:.*/::'`
        echo "Usage: $cmd [-S] <filename> ..."
        echo "Get directory information"
        exit
fi

if [[ $1 == "-S" ]]
then 
        shift
        for i in "$@"
        do
                find "$i" -type f -printf '%s 0,0,0,0 %TY-%Tm-%Td %TH:%TM:%TS@+0:00 *%p\n' 
        done
else
        for i in "$@"
        do
                find "$i" -type f -printf '%s 0,0,0,0 %TY-%Tm-%Td %TH:%TM:%TS@+0:00 ' -exec sha1sum "{}" \;
        done
fi
